//
//  name=HighlightWins3v3
//  dependencies=jQuery
//  description=Highlight winning scores in summary tables.
//  author=Jon Eskdale based on an idea by Colin Jenkins
//  date=2016-07-04
//  version=3.0  For use with Sailwave from V2.22.x
//  Requires the following lines in the Results.htm file (Results.htm is in the Templates directory)
//  string.set("summary.col.race.rank1.td",   "rank1")
//  string.set("summary.col.race.rank2.td",   "rank2")
//  string.set("summary.col.race.rank3.td",   "rank3")

//  url=http://sailwave.com
//  email=jon@sailwave.com
//  twitter=eskdale
//  comments=Edit colours to colours of your choice
//

$(document).ready(function() {
var selectorRank1 = '.rank1';
var selectorRank2 = '.rank2';
var selectorRank3 = '.rank3';

// Results with these codes will not get highlighted add or remove codes to your choice
var ignoreText	 = /^(?!.*\b(OOD|DNC|DNF|DNS|OCS|BFD|UFD|RET|DSQ|DGM|DNE)\b).*/i

// Edit these colours to change the highlight colours for 1st, 2nd and 3rd
var winsColour   = '#ffd700';
//'#cfb53b'
// '#fcde82';
// '#ffd700';
var twoColour	 = '#C0C0C0';
// '#cfced3';
// '#6a91c5';
var threeColour  = '#994c00';
// '#bb883c';
// '#da6841';


// Change the background color for cells with class of rank1-3 and don't have a code specified
$(function () {

  $(selectorRank1).filter(function() {
    return ignoreText.test($(this).text());
  }).css("background", winsColour);
  $(selectorRank2).filter(function() {
	return ignoreText.test($(this).text());
  }).css("background", twoColour);
  $(selectorRank3).filter(function() {
	return ignoreText.test($(this).text());
  }).css("background", threeColour);

});
});
