//
//  name=TableSorter
//  dependencies=jQuery (autoloads if not specified)
//  description=Click on heading to sort table
//  author=Jon Eskdale
//  date=2015-08-13 / 2018-04-16
//  version=1.2
//  url=https://sailwave.com
//  email=jon@sailwave.com
//  twitter=@eskdale
//

</script>
<link rel="stylesheet" href="https://www.sailwave.com/download/css/sorter.css">
<script src="https://mottie.github.io/tablesorter/js/jquery.tablesorter.combined.js"></script>
<script>

$(document).ready(function()
    {
        // create array of race column numbers for first table (summarytable)
        var ths = document.getElementsByTagName('col');
        var column =[];
        for (var i=0; i<ths.length; i++) {
                if (ths[i].classList[0] === "race") {
                        column.push(i);
                } else {
                        if (column.length !=0) {
                                break;
                        }
                }
        }
        var patt = /\d+\.\d+/;
        $.tablesorter.addParser({
                id: 'race',
                is: function(s, table, cell, $cell) {
                        return false;
                },
                format: function(s, table, cell, cellIndex) {
                        return patt.exec(s);
                },
                // set type, either numeric or text
                type: 'numeric'
        });

        //  Set a class of race for all headers with race results in column for summarytable
        //  "{sorter: 'numeric'}"
        for (var i=0; i<column.length; i++) {
                $(".summarytable thead tr th:nth-child(" + (column[i]+1) +")").addClass("sorter-race");
        }


        $(".summarytable").tablesorter({
         theme : 'blue',
         sortMultiSortKey: 'ctrlKey',
         sortResetKey: 'altKey',
         });
}
);


